Skip to content
Snippets Groups Projects
Commit 2d8c5117 authored by Jonas Gorski's avatar Jonas Gorski
Browse files

scripts/symlink-tree.sh: print warnings/errors to stderr


Makes warnings/errors visible when building with V=w/V=1.

Signed-off-by: default avatarJonas Gorski <jogo@openwrt.org>

SVN-Revision: 35718
parent 5449b240
No related branches found
No related tags found
No related merge requests found
...@@ -24,12 +24,12 @@ if [ -f feeds.conf ] ; then ...@@ -24,12 +24,12 @@ if [ -f feeds.conf ] ; then
fi fi
if [ -z "$1" ]; then if [ -z "$1" ]; then
echo "Syntax: $0 <destination>" echo "Syntax: $0 <destination>" >&2
exit 1 exit 1
fi fi
if [ -e "$1" ]; then if [ -e "$1" ]; then
echo "Error: $1 already exists" echo "Error: $1 already exists" >&2
exit 1 exit 1
fi fi
...@@ -37,7 +37,7 @@ set -e # fail if any commands fails ...@@ -37,7 +37,7 @@ set -e # fail if any commands fails
mkdir -p dl "$1" mkdir -p dl "$1"
for file in $FILES; do for file in $FILES; do
[ -e "$PWD/$file" ] || { [ -e "$PWD/$file" ] || {
echo "ERROR: $file does not exist in the current tree" echo "ERROR: $file does not exist in the current tree" >&2
exit 1 exit 1
} }
ln -s "$PWD/$file" "$1/" ln -s "$PWD/$file" "$1/"
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Please register or to comment